summaryrefslogtreecommitdiff
path: root/fmtn
diff options
context:
space:
mode:
Diffstat (limited to 'fmtn')
-rwxr-xr-xfmtn19
1 files changed, 19 insertions, 0 deletions
diff --git a/fmtn b/fmtn
new file mode 100755
index 0000000..055ee98
--- /dev/null
+++ b/fmtn
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+
+cd debian
+mkdir -v source
+echo -e "3.0 (native)" > source/format
+echo -e "[DEFAULT]\nupstream-tree=branch\nupstream-branch=master\ndebian-branch=master" > gbp.conf
+cd ..
+
+dch -U "Add git-buildpackage configuration"
+dch "Set source format to 3.0 (native)"
+dch --distribution=unstable -r ""
+git add debian/source/ debian/gbp.conf debian/changelog
+
+git commit -m "Make the package work with git buildpackage
+
+Add gbp.conf and source/format."
+